/**
 * DevExtreme (esm/renovation/ui/grids/data_grid_light/widgets/data_row.js)
 * Version: 22.1.0 (build 21335-0845)
 * Build date: Wed Dec 01 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["columns", "data", "rowIndex"];
import {
    createVNode
} from "inferno";
import {
    BaseInfernoComponent
} from "@devextreme/runtime/inferno";
export var viewFunction = viewModel => createVNode(1, "tr", "dx-row dx-data-row dx-column-lines", viewModel.props.columns.map((dataField, index) => createVNode(1, "td", null, String(viewModel.props.data[dataField]), 0, {
    "aria-describedby": "dx-col-".concat(index + 1),
    "aria-selected": "false",
    role: "gridcell",
    "aria-colindex": index + 1
}, index)), 0, {
    role: "row",
    "aria-selected": "false",
    "aria-rowindex": viewModel.props.rowIndex + 1
});
export var DataRowProps = {
    get data() {
        return {}
    },
    rowIndex: 0,
    get columns() {
        return []
    }
};
export class DataRow extends BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {}
    }
    get restAttributes() {
        var _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, _excluded);
        return restProps
    }
    render() {
        var props = this.props;
        return viewFunction({
            props: _extends({}, props),
            restAttributes: this.restAttributes
        })
    }
}
DataRow.defaultProps = DataRowProps;
